Update a Resource
Facets Deployment Controller API: PUT endpoint to update an existing resource in a blueprint branch within the designer.
Authorization
sec0 AuthorizationBasic <token>
In: header
Path Parameters
stackName*string
branch*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://facetsdemo.console.facets.cloud/cc-ui/v1/designer/string/branch/string" \ -H "Content-Type: application/json" \ -d '[ { "content": {}, "directory": "service/instances", "filename": "billing.json", "resourceName": "billing", "resourceType": "service" } ]'"{}""{}"Create a New Resource
Facets Deployment Controller API: POST endpoint to create a new resource in a blueprint branch, specifying its resource name and resource type.
Create Branch
Facets Deployment Controller API: designer create-branch endpoint group, used to create a new branch from an existing branch for a blueprint stack.